Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.parser.v2
Class XMLParseException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.xml.sax.SAXException
                        |
                        +--org.xml.sax.SAXParseException
                              |
                              +--oracle.xml.parser.v2.XMLParseException

All Implemented Interfaces:
  java.io.Serializable

public class XMLParseException
extends SAXParseException

Indicates that a parsing exception occurred while processing an XML document

See Also:
  Serialized Form

Field Summary
`static int` | `ERROR` Code for non-fatal error
`static int` | `FATAL_ERROR` Code for fatal error
`static int` | `WARNING` Code for warning

Constructor Summary
`XMLParseException(java.lang.String mesg, java.lang.String pubId, java.lang.String sysId, int line, int col, int type)`

Method Summary
`java.lang.String` | `formatErrorMessage(int i)` Get the error message at specified index
`int` | `getColumnNumber(int i)` Get the column number of error at specified index
`java.lang.Exception` | `getException(int i)` Get the exception (if exists) that occured in error at specified index
`int` | `getLineNumber(int i)` Get the line number of error at specified index
`java.lang.String` | `getMessage(int i)` Get the error message at specified index
`int` | `getMessageType(int i)` Get the type of the error message at specified index
`int` | `getNumMessages()` Return the total number of errors/warnings found during parsing
`java.lang.String` | `getPublicId(int i)` Get the public ID of input when error at specified index occured
`java.lang.String` | `getSystemId(int i)` Get the system ID of input when error at specified index occured

Methods inherited from class org.xml.sax.SAXParseException
`getColumnNumber, getLineNumber, getPublicId, getSystemId`

Methods inherited from class org.xml.sax.SAXException
`getException, getMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERROR

    public static final int ERROR

  Code for non-fatal error
  See Also:
    Constant Field Values

### FATAL_ERROR

    public static final int FATAL_ERROR

  Code for fatal error
  See Also:
    Constant Field Values

### WARNING

    public static final int WARNING

  Code for warning
  See Also:
    Constant Field Values

Constructor Detail

### XMLParseException

    public XMLParseException(java.lang.String mesg,
                             java.lang.String pubId,
                             java.lang.String sysId,
                             int line,
                             int col,
                             int type)

Method Detail

### getNumMessages

    public int getNumMessages()

  Return the total number of errors/warnings found during parsing
  Returns:
    The number of errors/warnings

### getMessage

    public java.lang.String getMessage(int i)

  Get the error message at specified index
  Returns:
    The error message

### formatErrorMessage

    public java.lang.String formatErrorMessage(int i)

  Get the error message at specified index
  Returns:
    The error message

### getLineNumber

    public int getLineNumber(int i)

  Get the line number of error at specified index
  Returns:
    The line number

### getColumnNumber

    public int getColumnNumber(int i)

  Get the column number of error at specified index
  Returns:
    The column number

### getSystemId

    public java.lang.String getSystemId(int i)

  Get the system ID of input when error at specified index occured
  Returns:
    The system ID

### getPublicId

    public java.lang.String getPublicId(int i)

  Get the public ID of input when error at specified index occured
  Returns:
    The public ID

### getException

    public java.lang.Exception getException(int i)

  Get the exception (if exists) that occured in error at specified index
  Returns:
    The exception

### getMessageType

    public int getMessageType(int i)

  Get the type of the error message at specified index
  Returns:
    The error message type

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.